optimWizard {baseline} | R Documentation

## Visual tool for setting up optimization

### Description

Set up optimization through a graphical user interface. Optionally collecting values directly from 'baselineGUI'. Retrieve optimisation parameters and results with `getOptim` and `getOptimRes`, respectively.

### Usage

    optimWizard(X, y, postproc, predictionTest, cvsegments)
    getOptim()
    getOptimRes()

### Arguments

`X` | Matrix with spectra in rows
`y` | Response vector or matrix in analysis
`postproc` | Custum function for post processing of spectra (optional)
`predictionTest` | Custom prediction object (optional)
`cvsegments` | Cross-validation segments (optional)

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### Examples

    ## Not run:
    # Computationally intensive
    data(milk)
    X <- milk$spectra[,-1]
    y <- milk$spectra[,1]
    optimWizard(X,y)

    # After optimisation is complete
    plotOptim(myResults)

    ## End(Not run)

[Package baseline version 1.2-1 Index]